//
//  DrawingView.h
//  Drawing
//
//  Created by Maneesh Goel on 8/21/12.
//  Copyright (c) 2012 Maneesh Goel. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Line.h"
#import "Circle.h"
#import "Triangle.h"
#import "FreeLine.h"
@interface DrawingView : UIView
@property NSMutableArray *lines;
@property NSMutableArray *circles;
@property NSMutableArray *triangles;
@property NSMutableArray *freeLines;

@property Line *currentLine;
@property Circle *currentCircle;
@property Triangle *currentTriangle;
@property FreeLine *currentFreeLine;
@property (strong, nonatomic) NSString *currentDrawMode;
@end
