//
//  Triangle.m
//  Drawing
//
//  Created by Maneesh Goel on 8/22/12.
//  Copyright (c) 2012 Maneesh Goel. All rights reserved.
//

#import "Triangle.h"

@implementation Triangle
@synthesize points = _points;

-(id)init {
    self = [super init];
    if (self) {
        _points = [[NSMutableDictionary alloc] init];
    }
    return self;
}

-(void)drawTriangle:(CGContextRef)context {
    NSArray *pointsArray = [self.points allValues];
    CGContextMoveToPoint(context, [[pointsArray objectAtIndex:0] CGPointValue].x, [[pointsArray objectAtIndex:0] CGPointValue].y);
    CGContextAddLineToPoint(context, [[pointsArray objectAtIndex:1] CGPointValue].x, [[pointsArray objectAtIndex:1] CGPointValue].y);
    CGContextAddLineToPoint(context, [[pointsArray objectAtIndex:2] CGPointValue].x, [[pointsArray objectAtIndex:2] CGPointValue].y);
    CGContextAddLineToPoint(context, [[pointsArray objectAtIndex:0] CGPointValue].x, [[pointsArray objectAtIndex:0] CGPointValue].y);
    CGContextStrokePath(context);
}

@end
