//
//  Circle.m
//  Drawing
//
//  Created by Maneesh Goel on 8/22/12.
//  Copyright (c) 2012 Maneesh Goel. All rights reserved.
//

#import "Circle.h"

@implementation Circle
@synthesize circleCenter = _circleCenter;
@synthesize radiusPoint = _radiusPoint;

-(void)drawCircle:(CGContextRef)context {
    float radius = hypotf((self.circleCenter.x - self.radiusPoint.x), self.circleCenter.y - self.radiusPoint.y);
    CGContextAddArc(context, self.circleCenter.x, self.circleCenter.y, radius, 0, 2*M_PI, YES);
    CGContextStrokePath(context);
}

@end
